Update Q&A data-source
curl --request PUT \
--url https://app.livechatai.com/api/aibot/data-source/qa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "q****************9ab2",
"question": "What is the largest planet in our solar system?",
"answer": "The largest planet in our solar system is Jupiter.",
"chatbotId": "c****************1cx4"
}
'import requests
url = "https://app.livechatai.com/api/aibot/data-source/qa"
payload = {
"id": "q****************9ab2",
"question": "What is the largest planet in our solar system?",
"answer": "The largest planet in our solar system is Jupiter.",
"chatbotId": "c****************1cx4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'q****************9ab2',
question: 'What is the largest planet in our solar system?',
answer: 'The largest planet in our solar system is Jupiter.',
chatbotId: 'c****************1cx4'
})
};
fetch('https://app.livechatai.com/api/aibot/data-source/qa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data Source
Update Q&A data-source
deprecated
DEPRECATED: This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Update Q&A data-source
PUT
/
api
/
aibot
/
data-source
/
qa
Update Q&A data-source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Q&A data-source update details
Unique identifier of the Q&A data-source
Example:
"q****************9ab2"
Updated question for the Q&A data-source
Example:
"What is the largest planet in our solar system?"
Updated answer for the Q&A data-source
Example:
"The largest planet in our solar system is Jupiter."
Unique identifier of the chatbot
Example:
"c****************1cx4"
Response
Q&A data-source updated successfully
⌘I

